From 9e4f42f11bef7369eeb78fc2e1a8f4c291f97c33 Mon Sep 17 00:00:00 2001
From: Robert Sparks <rjsparks@nostrum.com>
Date: Fri, 11 Dec 2020 16:43:15 +0000
Subject: [PATCH] Merged in [18748] from rjsparks@nostrum.com:

    Also tweaked mergedevbranch.

    Populate interim approved email correctly. Fixes #3150.
 - Legacy-Id: 18750
Note: SVN reference [18748] has been migrated to Git commit 21b05d003c41899884f1659be481fd1059c6c5be
---
 bin/mergedevbranch | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/bin/mergedevbranch b/bin/mergedevbranch
index 40a0e1abd..a1d26234c 100755
--- a/bin/mergedevbranch
+++ b/bin/mergedevbranch
@@ -119,6 +119,11 @@ rev=${rev#r}
 
 repo=$(echo -n "$(svn info | grep "^Repository Root: " | sed 's/Repository Root: //')")
 
+by=$(getent passwd $(whoami) | cut -d ':' -f 5 | tr -d ',')
+[ -z "$by" ] && die "Can't determine the real name of the user running this script"
+
+python -c 'import django' || die "Can't find django - can't run tests"
+
 note "Identify the branch:"
 if   svn info $branch > /dev/null 2>&1; then
     branch="${branch#^/}"
@@ -226,7 +231,7 @@ goes wrong during final testing.
 
 Regards,
 
-	Henrik
+	$by
 	(via the mergesprintbranch script)
 EOF